'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _caniuseApi = require('caniuse-api');

var _searchMap = require('./searchMap');

var _searchMap2 = _interopRequireDefault(_searchMap);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var browsers = ['chrome', 'safari', 'firefox', 'opera', 'ie', 'ios_saf', 'android', 'and_chr', 'and_uc', 'op_mini', 'ie_mob'];

function gatherInformation() {
  var prefixProperties = {};
  browsers.forEach(function (browser) {
    prefixProperties[browser] = {};
  });

  var search = undefined;

  var _loop = function () {
    var properties = _searchMap2['default'][search];
    var versions = (0, _caniuseApi.getSupport)(search, true);
    if (properties instanceof Array !== true) {
      properties = [properties];
    }
    properties.forEach(function (prop) {
      var prefix = undefined;
      for (prefix in prefixProperties) {
        prefixProperties[prefix][prop] = versions[prefix].x;
      }
    });
  };

  for (search in _searchMap2['default']) {
    _loop();
  }
  return 'var caniuseData = ' + JSON.stringify(prefixProperties) + '; module.exports = caniuseData';
}

_fs2['default'].writeFile('./lib/caniuseData.js', gatherInformation(), function (err) {
  if (err) throw err;
  console.log("Successfully generated CSS property vendor-prefix data using latest caniuse.com data.");
  console.log("Support following browser: ", browsers.join(', '));
});